<template>
	<view class="phone-list-page">
		<view class="icon-title-bjcolor-navBar-box">
			<view @click="goUpPage" class="nav-bar-icon"></view>
			<text class="nav-bar-title">成绩</text>
		</view>
		<!-- 课程列表 -->
		<scroll-view scroll-y="true" refresher-enabled="true" :refresher-triggered="data.loading"
			:refresher-threshold="50" refresher-background="transparent" @refresherrefresh="onRefresh" @scrolltolower="onScrolltolower"
			class="phone-scroll-view">
			<uni-list class="admin-list-box">
				<uni-list-item v-for="item in data.list" class="admin-list-item-box">
					<template v-slot:body>
						<view class="item-card-row">
							<!-- 数量 -->
							<view class="ks-item-top">
								<view class="ks-name">{{item.zyName}}</view>
								<view class="ks-zyLevelName">{{item.zyLevelName}}</view>
							</view>
							<!-- 时间 -->
							<view class="ks-totalTm">
								<icon class="phone-time-icon" />{{item.answerStartTime}} - {{item.answerEndTime}}
							</view>
							<!-- 分数 -->
							<view class="ks-score-content">
								<view class="ks-score">
									<icon class="phone-zongfen-icon" />总分：<text>{{item.ksScore}}</text>
								</view>
								<view class="ks-okScore cj-okScore">
									<icon class="phone-jigefen-icon" />及格分：<text>{{item.okScore}}</text>
								</view>
								<view class="ks-getScore">
									<icon class="phone-defen-icon" />得分：<text>{{item.userScore}}</text>
								</view>
							</view>
							<button @click="checkKecheng(item)" type="primary" size="mini"
								class="item-view-btn">查看内容</button>
						</view>
					</template>
				</uni-list-item>
				<uni-load-more :status="data.state" @click="getMore(0)" :contentText="data.contentText"></uni-load-more>
			</uni-list>
		</scroll-view>

		<!-- 页面底端 -->
		<customTabbarClientVue></customTabbarClientVue>
	</view>
</template>

<script setup>
	import customTabbarClientVue from "@/components/custom-tabbar/custom-tabbar-client.vue";
	import {
		ref,
		reactive
	} from "vue";
	import {
		onLoad
	} from "@dcloudio/uni-app";
	import * as kaoshiApi from "@/api/kaoshi.js"
	import {
		formatDuration
	} from "@/utils/common.js"


	const data = reactive({
		list: [], // 考试列表
		loading: false,
		page: 0,
		size: 10,
		state: 'more',
		contentText: {
			contentdown: '查看更多',
			contentrefresh: '加载中',
			contentnomore: '没有更多'
		},
		from: ''
	})

	function goUpPage() {
		const pages = getCurrentPages();
		if (pages.length > 1) {
			uni.navigateBack()
		} else {
			/* if (data.from == 'my') {
				uni.navigateTo({
					url: '/pages/client/my/index'
				})
			} else if (data.from == 'kaoshi') {
				uni.navigateTo({
					url: '/pages/client/Kaoshi/list'
				})
			} else if (data.from == 'shouye'){
				uni.navigateTo({
					url: '/pages/client/ShouYe/shouye'
				})
			} else {
				uni.navigateTo({
					url: '/pages/client/ShouYe/shouye'
				})
			} */
			history.back();
		}



	}
	
	function onScrolltolower() {
		getMore()
	}
	

	function handleSearch() {
		data.page = 0;
		refreshData();
	}

	function checkKecheng(item) {
		uni.navigateTo({
			url: `/pages/client/Chengji/ksScoreShijuan?hisId=${item.hisId}&from=chengjiList`
		})
	}

	function onRefresh() {
		data.page = 0;
		data.list = [];
		data.loading = true;
		refreshData();
	}

	function refreshData() {
		const opt = {
			page: 1,
			size: 10, // 固定查询10条
		}
		data.list = [];
		// 数学
		data.state = 'loading';
		data.page++;
		opt.page = data.page;

		kaoshiApi.getClientKsChengjiList(opt).then(res => {
			data.list = data.list.concat(res.data.data);
			data.loading = false;

			if (res.data.total > data.list.length) {
				data.state = 'more';
				data.loading = false;
			} else {
				data.state = 'no-more';
				data.loading = false;
			}
		}).catch(err => {
			data.state = 'more';
			data.loading = false;
		})
	}

	function getMore() {
		const opt = {
			page: 1,
			size: 10, // 固定查询10条
		}
		if (data.state == 'no-more') return;
		data.state = 'loading';
		data.page++;
		opt.page = data.page;
		kaoshiApi.getClientKsChengjiList(opt).then(res => {
			data.list = data.list.concat(res.data.data);
			data.loading = false;

			if (res.data.total > data.list.length) {
				data.state = 'more';
				data.loading = false;
			} else {
				data.state = 'no-more';
				data.loading = false;
			}
		}).catch(err => {
			data.state = 'more';
			data.loading = false;
		})
	}

	onLoad((options) => {
		data.from = options.from;
		getMore()
	})
</script>

<style lang="scss" scoped>
	.phone-kecheng-page {
		background-color: #ccc;
		box-sizing: border-box;
	}

	.phone-search-content {
		position: relative;
		background-color: #fff;
		height: 42px;

		.search-input {
			height: 42px;
			line-height: 40px;
			border-radius: 20px;
			border: 1px solid #ccc;
			padding: 0 70px 0 20px;
		}

		.search-icon {
			position: absolute;
			right: 5px;
			top: 4px;
			padding: 6px;
			background-color: #ccc;
			border-radius: 20px;
			width: 50px;
			text-align: center;
		}
	}
</style>